precision mediump float;
varying vec2 vTextureCoord; //接收的纹理坐标
uniform float fAlpha;          //透明度
uniform sampler2D sTexture;//纹理内容数据
void main()                         
{           
   //给此片元从纹理中采样出颜色值
   vec4 textColor = texture2D(sTexture, vTextureCoord);
   gl_FragColor.rgba = vec4(textColor.rgb, textColor.a*fAlpha);
}              